Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
vienbp2004

Không Thực Hiện Được Lệnh Sendcommand

Các bài được khuyến nghị

( Bài đăng dành cho người sử dụng VBA)

 

Em không hiểu lắm về lệnh Sendcommand, các anh chị thành viên giúp  đở em, em có 1 yêu cầu bài toán là cho người dùng nhập vào 2 đểm, sau đó vẽ 1 đường thẳng nối 2 điểm trên sử dụng lệnh Sendcommand nhưng chương trình báo lỗi, chương trình như sau :

Sub Ve()
    Dim Diemdau As Variant
    Dim Diemcuoi As Variant
    Dim Duongthang As AcadLine
    Dim Tam(0 To 2) As Double
    
    Diemdau = ThisDrawing.Utility.GetPoint(, Chr(13) & "Nhap diem dau :")
    Diemcuoi = ThisDrawing.Utility.GetPoint(Diemdau, Chr(13) & "Nhap vao diem  thu 2  :")
    ThisDrawing.SendCommand("_line" & chr(13) & Diemdau Diemcuoi & chr(13))
        
End Sub
Chỉnh sửa theo Danh Cong

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

( Bài đăng dành cho người sử dụng VBA)

 

Em không hiểu lắm về lệnh Sendcommand, các anh chị thành viên giúp  đở em, em có 1 yêu cầu bài toán là cho người dùng nhập vào 2 đểm, sau đó vẽ 1 đường thẳng nối 2 điểm trên sử dụng lệnh Sendcommand nhưng chương trình báo lỗi, chương trình như sau :

Sub Ve()
    Dim Diemdau As Variant
    Dim Diemcuoi As Variant
    Dim Duongthang As AcadLine
    Dim Tam(0 To 2) As Double
    
    Diemdau = ThisDrawing.Utility.GetPoint(, Chr(13) & "Nhap diem dau :")
    Diemcuoi = ThisDrawing.Utility.GetPoint(Diemdau, Chr(13) & "Nhap vao diem  thu 2  :")
    ThisDrawing.SendCommand("_line" & chr(13) & Diemdau Diemcuoi & chr(13))
        
End Sub

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 

 

 

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 

 

Vẽ không theo ý muốn bạn ơi, cụ thể là  nó  không vẽ từ điểm StartPoint

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×